<bugID>528531<Summary>control+tab UI is generally very slow</Summary><Description>there are three things to fix here

1. the panel loads slowly, sometimes a full second before it shows
2. the thumbnails load slowly - sometimes i get empty panel, then thumbnails fill in
3. the panel leaves slowly, sometimes stuck there for half-second</Description></bugID>